Bug 310701 - SELinux is preventing pm-hibernate (hald_t) "getattr" to /var/log/pm-suspend.log (var_log_t)
SELinux is preventing pm-hibernate (hald_t) "getattr" to /var/log/pm-suspend....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 08:22 EDT by Rodd Clarkson
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.99.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 14:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2007-09-28 08:22:17 EDT
Summary
    SELinux is preventing pm-hibernate (hald_t) "getattr" to /var/log/pm-
    suspend.log (var_log_t).

Detailed Description
    SELinux denied access requested by pm-hibernate. It is not expected that
    this access is required by pm-hibernate and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /var/log/pm-suspend.log,
    restorecon -v /var/log/pm-suspend.log If this does not work, there is
    currently no automatic way to allow this access. Instead,  you can generate
    a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:hald_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/pm-suspend.log [ file ]
Affected RPM Packages         pm-utils-0.99.4-2.fc8 [target]
Policy RPM                    selinux-policy-3.0.7-10.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.23-0.184.rc6.git4.fc8 #1 SMP Fri Sep 14
                              17:42:59 EDT 2007 i686 i686
Alert Count                   3
First Seen                    Tue 18 Sep 2007 02:35:04 PM EST
Last Seen                     Thu 20 Sep 2007 08:37:45 AM EST
Local ID                      3198fcb8-251b-44f4-9052-fe15647d9bf1
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm=pm-hibernate dev=sda9 path=/var/log/pm-
suspend.log pid=24842 scontext=system_u:system_r:hald_t:s0 tclass=file
tcontext=system_u:object_r:var_log_t:s0
Comment 1 Daniel Walsh 2007-09-28 09:09:27 EDT
You can fix the file context on this file, but the location of this file is
changed in the latest rawhide, So you should update all your packages,
especially pm-utils, hal and selinux-policy.
Comment 2 Till Maas 2007-12-30 14:40:54 EST
It should be fixed in a uptodate system, e.g. on my F7 machine I get:

$ ls -laZ /var/log/pm-suspend.log
-rw-------  root root system_u:object_r:hald_log_t     /var/log/pm-suspend.log

In case this bug is still present, please reopen it.

Note You need to log in before you can comment on or make changes to this bug.